<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-primary mr-1" (click)="nuevo()">
    <i class="fas fa-plus mr-2"></i>Nuevo
  </button>
  <button class="btn btn-success" (click)="guardar()" [disabled]="ngForm.invalid">
    <i class="fas fa-save mr-2"></i>Guardar
  </button>
</app-page-title>

<div class="main-card mb-3 card animated fadeIn">
  <div class="card-body">

    <form [formGroup]="ngForm">

      <div class="row">
        <div class="col-12 col-sm-5 col-md-4 col-lg-4 col-xl-4">
          <label>Clave</label>
          <input type="text" class="form-control" formControlName="cClave" [readonly]="!flagNuevo" maxlength="8"
            pattern="[0-9]*">
        </div>
        <div class="col-12 col-sm-5 col-md-4 col-lg-4 col-xl-4">
          <label>Descripción</label>
          <input type="text" class="form-control" formControlName="cDesc" maxlength="100">
        </div>
        <div class="col-4 col-sm-2 col-md-2 col-lg-2 col-xl-2">
          <label class="w-100"></label>
          <input type="checkbox" id="fac" class="k-checkbox" checked="" [(ngModel)]="checBox[0]"
            [ngModelOptions]="{standalone: true}">
          <label class="k-checkbox-label w-100 mt-2" for="fac">
            Facturas
          </label>
          <input type="checkbox" id="pag" class="k-checkbox" checked="" [(ngModel)]="checBox[1]"
            [ngModelOptions]="{standalone: true}">
          <label class="k-checkbox-label w-100" for="pag">
            Pagos
          </label>
        </div>
        <div class="col col-2">
          <label class="w-100">Inactivo</label>
          <kendo-switch formControlName="Inactivo"></kendo-switch>
        </div>
      </div>

    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [resizable]="true" [navigable]="true"
      [pageSize]="pageSize" [sortable]="true" filterable="menu" [skip]="skip"
      [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 53vh;" (selectionChange)="getRow($event)">
      <ng-container *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="cClave" title="Clave" width="150">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="cDesc" title="Descripción" width="150">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Inactivo" title="Inactivo" width="100" filterable="false">
          <ng-template kendoGridCellTemplate let-dataItem>
            <input type="checkbox" [checked]="dataItem.Inactivo" disabled />
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-command-column width="120">
          <ng-template kendoGridCellTemplate let-dataItem>
            <button class="btn btn-danger" (click)="eliminar(dataItem)">
              <i class="fas fa-trash-alt mr-1"></i> Eliminar
            </button>
          </ng-template>
        </kendo-grid-command-column>

      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

    <ngx-loading [show]="loading" [config]="loadingColor"></ngx-loading>
  </div>
</div>